Loading...
Searching...
No Matches
pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey5 Class Reference

`#include <pcl/surface/3rdparty/poisson4/octree_poisson.h>`

## Public Member Functions

| ConstNeighborKey5 (void)
| ~ConstNeighborKey5 (void)
void | set (int depth)
ConstNeighbors5 & | getNeighbors (const OctNode *node)

## Public Attributes

ConstNeighbors5 * | neighbors

## Detailed Description

template<class NodeData, class Real = float>
class pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey5

Definition at line 262 of file octree_poisson.h.

## Constructor & Destructor Documentation

## ConstNeighborKey5()

template<class NodeData , class Real >

pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey5::ConstNeighborKey5 | ( | void |  | ) |

Definition at line 1699 of file octree_poisson.hpp.

## ~ConstNeighborKey5()

template<class NodeData , class Real >

pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey5::~ConstNeighborKey5 | ( | void |  | ) |

Definition at line 1713 of file octree_poisson.hpp.

## Member Function Documentation

## getNeighbors()

template<class NodeData , class Real >

OctNode< NodeData, Real >::ConstNeighbors5 & pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey5::getNeighbors | ( | const OctNode * | node | ) |

Definition at line 1902 of file octree_poisson.hpp.

References pcl::poisson::OctNode< NodeData, Real >::children, pcl::poisson::Cube::CornerIndex(), pcl::poisson::OctNode< NodeData, Real >::d, pcl::poisson::OctNode< NodeData, Real >::depth(), pcl::poisson::Cube::FactorCornerIndex(), pcl::poisson::OctNode< NodeData, Real >::ConstNeighbors5::neighbors, and pcl::poisson::OctNode< NodeData, Real >::parent.

## set()

template<class NodeData , class Real >

void pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey5::set | ( | int | depth | ) |

Definition at line 1730 of file octree_poisson.hpp.

References pcl::poisson::OctNode< NodeData, Real >::d.

## Member Data Documentation

## neighbors

template<class NodeData , class Real = float>

ConstNeighbors5* pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey5::neighbors

Definition at line 266 of file octree_poisson.h.

The documentation for this class was generated from the following files:

- pcl/surface/3rdparty/poisson4/octree_poisson.h
- pcl/surface/3rdparty/poisson4/octree_poisson.hpp